function [Array,Size_A]=Code_T_Matrix(Matrix,StartValueQ)
% This Program is used for Transform Matrix by DCT......
% Input\------------ 
%    Matrix      :- two Dimenstinal Matrix n x m
%    StartValueQ :- this parameter is used for Linear Quantization
% Output \----------  
%     Array :- is Transformated array and removed last zeros
%     Size_A    :- is represents original size [n x m] of "Matrix" 

% Note \ The function "TransfromDCT()" is in MathWorks->Auther->Mohammed,Siddeq

%Example \
%  [Arr,S]=Code_T_Matrix(M,10);
%---- Good Luck ------------------------------------------------------------
%%%% ------------------ Compress  T-Matrix
% Quantization.....
Size_A=size(Matrix);

Q(1)=1;
for i=2:Size_A(2)
    Q(i)=Q(i-1)+1;
    if (Q(i)>StartValueQ) Q(i)=StartValueQ; end;
end;

% Transfromation by DCT.....
for i=1:Size_A(1)
    Data(1:Size_A(2))=Matrix(i,1:Size_A(2));
    %%%% Download this function from "MathWorks ->ExchangeFile->Auther->Mohammed Siddeq"
    Data=TransformDCT(Data,2);  %%%%%%%%%%%%%%%%
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    Data=round(Data./Q);
    T_Mat(i,1:Size_A(2))=Data(1:Size_A(2));
end;
TempArray(1:Size_A(1)*Size_A(2))=T_Mat(1:Size_A(1),1:Size_A(2));
P=Size_A(1)*Size_A(2);

%%% Reduce size of array , by Eliminates just last zeros.. 
while (TempArray(P)==0) P=P-1; end;
Array(1:P)=TempArray(1:P);
end
%%%%------------------------------------- End 



    