function [nonzero,POS]=Eliminate_Zeros_Matrix(HH,n)
% This function is used to Eliminate zeros from matrix by using block "n x n"   
% input is :-
%  HH :- matrix
% output:-
% nonzero :- array contains just nonzero data...
% POS     :- postion for nonzeros blocks  
%Example :-
% Z=Elimiante_Zeros_Matrix(M,8);
%--------------------------------------
% this program designed by   Mohammed M. Siddeq
%                            Date - 19/11/2011
%See the related program :- "Return_Zeros_Matrix.m"

S_=size(HH);
HH(S_(1):S_(1)+n,1)=0; % pad zeros around the matrix
HH(1,S_(2):S_(2)+n)=0;
   %%%  this program is store mask 8x8 with postions for nonzero data
   %n=8;
   POS=0; nonzero=0;
    i=1; 
    while(i<=S_(1))
       j=1;  
        while(j<=S_(2))
                %%%%%%%% Search nonzero inside mask nxn
                k1=1; Flag=0;
                while(k1<=n && Flag==0)
                 k2=1;
                 while(k2<=n && Flag==0)
                  if (HH(k1+i,k2+j)~=0)  Flag=1; end;
                   k2=k2+1;
                 end;
                   k1=k1+1;
                end;
                %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
                Data(1:n.*n)=0;
                if (Flag==1)
                   Data(1:n.*n)=HH(i:i+n-1,j:j+n-1);
                   nonzero=[nonzero,Data];
                   POS=[POS,i,j];
                end;
           j=j+n;
          end;
          i=i+n;
        end;
        
      S_N=size(nonzero); T=0;
      T(1:S_N(2)-1)=nonzero(2:S_N(2));
      nonzero=0; nonzero=T; 
      
      S_N=size(POS); T=0;
      T(1:S_N(2)-1)=POS(2:S_N(2));
      POS=0; POS=T;
end
%----------------------------------------------------------------------