function [Decode_HH]=Return_Zeros_Matrix(S_,nonzero,POS,n)
%Example :-
%    M=Return_Zeros_Matrix([141,205],arr,8);
% input :- 
%     S_   :- original matrix size before elimiating-zeros
%     nonzero:- array of nonzero data (i.e. postaive/negative data)
%     POS    :- postions for nonzero data
% output :-
%    Decode_HH :- decoded matrix size n x m      
%---------------------------------Reconstruct ---------------------------
% this program designed by   Mohammed M. Siddeq
%                            Date - 19/11/2011
%See the related program :- "Elimiante_Zero_Matrix.m"
EstHH(1:S_(1)+n,1:S_(2)+n)=0;
P=1; S_N=size(nonzero); k=1; L=n.*n;

nonzero(S_N(2)+1:S_N(2)+(L*2))=0;
while (k<S_N(2))
   i=POS(P);
   j=POS(P+1); P=P+2;
   Data(1:L)=nonzero(k:k+(L-1));
   k=k+L;
   k3=1;
   for k1=1:n
        for k2=1:n
          EstHH(i+k2,j+k1)=Data(k3);
          k3=k3+1;
        end;
   end;
end;

%%% Shift all data into one postion to left
Data=0; T=0; % Temprary arrays
for i=1:S_(1)+1
    Data(1:S_(2))=EstHH(i,2:S_(2)+1);
    T(i,1:S_(2))=Data(1:S_(2));
    i=i+1;
end;
%%% Shift all data into one postion to up
Data=0; 
for i=1:S_(2)
    Data(1:S_(1))=T(2:S_(1)+1,i);
    Decode_HH(1:S_(1),i)=Data(1:S_(1));
    i=i+1;
end;

end